Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Portage emerge problems making a fresh install
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
BitJam
Advocate
Advocate


Joined: 12 Aug 2003
Posts: 2483
Location: Silver City, NM

PostPosted: Thu Feb 14, 2019 10:00 pm    Post subject: Portage emerge problems making a fresh install Reply with quote

Maybe I did something stupid. I'm in the early stages of doing a fresh install. I was expecting this early part of the install process to be a breeze.

I started with: stage3-amd64-20190212T214502Z.tar.xz and am following the directions here: Installing the Gentoo base system.

I copied over a working make.conf and made some minor changes to it. I set my profile to default/linux/amd64/17.0/desktop.

When I run:
Code:
emerge --ask --verbose --update --deep --newuse @world
I get a bunch of "!!! Invalid news item" and then:
Code:
!!! Ebuilds for the following packages are either all
!!! masked or don't exist:
>=sys-devel/patch-2.7 sys-apps/iproute2

!!! All ebuilds that could satisfy ">=app-portage/elt-patches-20170815" have been masked.
!!! One of the following masked packages is required to complete your request:
- app-portage/elt-patches-20170826.1::gentoo (masked by: EAPI 6)
- app-portage/elt-patches-20170815::gentoo (masked by: EAPI 6)

The current version of portage supports EAPI '5'. You must upgrade to a
newer version of portage before EAPI masked packages can be installed.
(dependency required by "sys-devel/gcc-7.3.0-r3::gentoo" [ebuild])
(dependency required by "@system" [set])
(dependency required by "@world" [argument])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.

So then I tried "emerge -av portage". I get the same invalid news messages followed by:
Code:
!!! All ebuilds that could satisfy ">=dev-lang/python-2.7.5-r2:2.7[bzip2(+),threads(+)]" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-lang/python-3.7.0::gentoo (masked by: EAPI 6)
- dev-lang/python-3.6.6::gentoo (masked by: EAPI 6)
- dev-lang/python-3.6.5-r1::gentoo (masked by: EAPI 6)
- dev-lang/python-3.6.5::gentoo (masked by: EAPI 6)
- dev-lang/python-3.6.4::gentoo (masked by: EAPI 6)
- dev-lang/python-2.7.15::gentoo (masked by: EAPI 6)

The current version of portage supports EAPI '5'. You must upgrade to a
newer version of portage before EAPI masked packages can be installed.
(dependency required by "sys-apps/portage-2.3.51-r1::gentoo[python_targets_python2_7]" [ebuild])
(dependency required by "portage" [argument])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


Here is the emerge --info:
Code:
 # emerge --info
Portage 2.1.12.2 (!../../usr/local/portage/profiles/default/linux/amd64/17.0/desktop, gcc-4.6.3, glibc-2.15-r3, 4.4.26-gentoo x86_64)
=================================================================
System uname: Linux-4.4.26-gentoo-x86_64-AMD_FX-8320E_Eight-Core_Processor-with-gentoo-2.2
KiB Mem:    15376204 total,   2859692 free
KiB Swap:   10485756 total,   9836388 free
Timestamp of tree: Unknown
ld GNU ld (GNU Binutils) 2.23.1
dev-lang/python:          2.7.5::gentoo, 3.2.5-r1::gentoo
sys-devel/autoconf:       2.69::gentoo
sys-devel/automake:       1.12.6::gentoo
sys-devel/binutils:       2.23.1::gentoo
sys-devel/libtool:        2.4-r1::gentoo
sys-kernel/linux-headers: 3.7::gentoo (virtual/os-headers)
Repositories: x-portage gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA dlj-1.1 PUEL googleearth AdobeFlash-10.1 AdobeFlash-11.x AdobeFlash-10.3 Oracle-BCLA-JavaSE google-chrome MakeMKV-EULA"
CFLAGS="-march=athlon64 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /lib/modules /usr/src"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=athlon64 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.mirrors.tds.net/gentoo ftp://gentoo.mirrors.pair.com/ ftp://mirrors.rit.edu/gentoo/ rsync://mirrors.rit.edu/gentoo/ http://mirrors.rit.edu/gentoo/"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acpi alsa amarok amd64 bash-completion berkdb bluetooth bluray branding bzip2 cairo cdda cddb cdparanoia cdr cjk cli consolekit crypt cups cxx dbus djvu dri dts dvd dvdnav dvdr dvdread emboss emovix encode exif fam fbcon ffmpeg firefox flac fortran gdbm gif glamor glitz gmp gpm gtk iconv icu id3 ieee1394 imagemagick java jpeg kpathsea lcms libnotify libtirpc libwww lirc lm_sensors logitech-mouse mad mmx mmxext mng mp3 mp4 mpeg mplayer multilib musicbrainz ncurses nls nptl nsplugin objc ogg opengl openmp pam pango pcre pdf plotutils png policykit ppds python qt5 quicktime readline real ruby sdl seccomp sockets spell sse sse2 ssl startup-notification svg tcltk tcpd tetex tidy tiff tk truetype udev udisks unicode upower usb vaapi vdpau vim-pager vim-syntax vorbis wxwidgets x264 xattr xcb xcomposite xetex xine xinerama xml xmp xv xvid zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" CAMERAS="canon ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext popcnt sse sse2 sse3 sse4a" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LIRC_DEVICES="mceusb" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-1" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby24" SANE_BACKENDS="net" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  EMERGE_DEFAULT_OPTS, PORTAGE_BUNZIP2_COMMAND
Back to top
View user's profile Send private message
eccerr0r
Watchman
Watchman


Joined: 01 Jul 2004
Posts: 7135
Location: almost Mile High in the USA

PostPosted: Thu Feb 14, 2019 10:11 pm    Post subject: Reply with quote

Something seems wrong here. The version of portage that comes with stage3-amd64-20190212T214502Z should support the newer EAPIs.

Ensure you're in the chroot before trying the emerge. What boot image did you use?

Since you have a fairly old kernel and old portage in your emerge --info, that's the only conclusion I can make at this point...
_________________
Intel Core i7 2700K@ 4.1GHz/HD3000 graphics/8GB DDR3/180GB SSD
What am I supposed watching?
Back to top
View user's profile Send private message
BitJam
Advocate
Advocate


Joined: 12 Aug 2003
Posts: 2483
Location: Silver City, NM

PostPosted: Thu Feb 14, 2019 10:41 pm    Post subject: Reply with quote

Thanks Watchman! I'm an idiot. I tab-completed to much older stage-3 tarball. That was because the instructions had a "j" in the tar options instead of a "J". Still, my bad.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum